summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlec Warner <antarus@gentoo.org>2007-01-25 07:08:57 +0000
committerAlec Warner <antarus@gentoo.org>2007-01-25 07:08:57 +0000
commit9ce2651c8e18225ac1868b9444c5df10a0486e48 (patch)
tree0300e8b209222bedc2dc0ff10b9cdc1fdf5cbf4b /net-misc/fmirror/fmirror-0.8.4-r2.ebuild
parentOoops, Fixed typo. (diff)
downloadgentoo-2-9ce2651c8e18225ac1868b9444c5df10a0486e48.tar.gz
gentoo-2-9ce2651c8e18225ac1868b9444c5df10a0486e48.tar.bz2
gentoo-2-9ce2651c8e18225ac1868b9444c5df10a0486e48.zip
bug 123964, large file support
(Portage version: 2.1.1-r2)
Diffstat (limited to 'net-misc/fmirror/fmirror-0.8.4-r2.ebuild')
-rw-r--r--net-misc/fmirror/fmirror-0.8.4-r2.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/net-misc/fmirror/fmirror-0.8.4-r2.ebuild b/net-misc/fmirror/fmirror-0.8.4-r2.ebuild
new file mode 100644
index 000000000000..c28560d347dd
--- /dev/null
+++ b/net-misc/fmirror/fmirror-0.8.4-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/fmirror/fmirror-0.8.4-r2.ebuild,v 1.1 2007/01/25 07:08:57 antarus Exp $
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="FTP mirror utility"
+HOMEPAGE="http://freshmeat.net/projects/fmirror"
+SRC_URI="ftp://ftp.guardian.no/pub/free/ftp/fmirror/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~sparc ~amd64 ~ppc"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+src_unpack() {
+ unpack ${A}; cd ${S}
+ epatch ${FILESDIR}/${PN}-crlf.patch
+}
+
+src_compile() {
+ append-flags "-D_FILE_OFFSET_BITS=64" # large file support bug # 123964
+ econf \
+ --datadir=/etc/fmirror \
+ || die "configure problem"
+
+ emake || die "compile problem"
+}
+
+src_install() {
+ into /usr
+ dobin fmirror
+ dodoc COPYING ChangeLog README
+ newdoc configs/README README.sample
+ doman fmirror.1
+
+ cd configs
+ insinto /etc/fmirror/sample
+ doins {sample,generic,redhat}.conf
+}